com.independentsoft.exchange

## Class Mailbox

- java.lang.Object
- - com.independentsoft.exchange.Mailbox

-     public class Mailbox
      extends java.lang.Object

  Identifies a mail-enabled Active Directory object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mailbox()` Initializes a new instance of the Mailbox class.
    `Mailbox(ItemId itemId)` Initializes a new instance of the Mailbox class.
    `Mailbox(java.lang.String emailAddress)` Initializes a new instance of the Mailbox class.
    `Mailbox(java.lang.String emailAddress, java.lang.String name)` Initializes a new instance of the Mailbox class.
    `Mailbox(java.lang.String emailAddress, java.lang.String name, java.lang.String routingType)` Initializes a new instance of the Mailbox class.
    `Mailbox(java.lang.String emailAddress, java.lang.String name, java.lang.String routingType, MailboxType type)` Initializes a new instance of the Mailbox class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEmailAddress()` Gets the Simple Mail Transfer Protocol (SMTP) address of a mailbox user.
    `ItemId` | `getItemId()` Gets the item identifier of a contact or private distribution list for recipients from a user's contacts folder.
    `java.lang.String` | `getName()` Gets the name of the mailbox user.
    `java.lang.String` | `getOriginalDisplayName()` Gets the display name of the mailbox user.
    `java.lang.String` | `getRoutingType()` Gets the routing that is used for the mailbox.
    `MailboxType` | `getType()` Gets the mailbox type of a mailbox user.
    `void` | `setEmailAddress(java.lang.String emailAddress)` Sets the Simple Mail Transfer Protocol (SMTP) address of a mailbox user.
    `void` | `setItemId(ItemId itemId)` Sets the item identifier of a contact or private distribution list for recipients from a user's contacts folder.
    `void` | `setName(java.lang.String name)` Sets the name of the mailbox user.
    `void` | `setOriginalDisplayName(java.lang.String originalDisplayName)` Sets the display name of the mailbox user.
    `void` | `setRoutingType(java.lang.String routingType)` Sets the routing that is used for the mailbox.
    `void` | `setType(MailboxType type)` Sets the mailbox type of a mailbox user.
    `java.lang.String` | `toString()` Converts the value of the current Mailbox object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mailbox

          public Mailbox()

      Initializes a new instance of the Mailbox class.

    - #### Mailbox

          public Mailbox(java.lang.String emailAddress)

      Initializes a new instance of the Mailbox class.
      Parameters:
        `emailAddress` - the email address

    - #### Mailbox

          public Mailbox(java.lang.String emailAddress,
                         java.lang.String name)

      Initializes a new instance of the Mailbox class.
      Parameters:
        `emailAddress` - the email address
        `name` - the name

    - #### Mailbox

          public Mailbox(java.lang.String emailAddress,
                         java.lang.String name,
                         java.lang.String routingType)

      Initializes a new instance of the Mailbox class.
      Parameters:
        `emailAddress` - the email address
        `name` - the name
        `routingType` - the routing type

    - #### Mailbox

          public Mailbox(java.lang.String emailAddress,
                         java.lang.String name,
                         java.lang.String routingType,
                         MailboxType type)

      Initializes a new instance of the Mailbox class.
      Parameters:
        `emailAddress` - the email address
        `name` - the name
        `routingType` - the routing type
        `type` - the type

    - #### Mailbox

          public Mailbox(ItemId itemId)

      Initializes a new instance of the Mailbox class.
      Parameters:
        `itemId` - the item id

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Mailbox object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getName

          public java.lang.String getName()

      Gets the name of the mailbox user.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the mailbox user.
      Parameters:
        `name` - the new name

    - #### getEmailAddress

          public java.lang.String getEmailAddress()

      Gets the Simple Mail Transfer Protocol (SMTP) address of a mailbox user.
      Returns:
        the email address

    - #### setEmailAddress

          public void setEmailAddress(java.lang.String emailAddress)

      Sets the Simple Mail Transfer Protocol (SMTP) address of a mailbox user.
      Parameters:
        `emailAddress` - the new email address

    - #### getRoutingType

          public java.lang.String getRoutingType()

      Gets the routing that is used for the mailbox.
      Returns:
        the routing type

    - #### setRoutingType

          public void setRoutingType(java.lang.String routingType)

      Sets the routing that is used for the mailbox.
      Parameters:
        `routingType` - the new routing type

    - #### getType

          public MailboxType getType()

      Gets the mailbox type of a mailbox user.
      Returns:
        the type

    - #### setType

          public void setType(MailboxType type)

      Sets the mailbox type of a mailbox user.
      Parameters:
        `type` - the new type

    - #### getItemId

          public ItemId getItemId()

      Gets the item identifier of a contact or private distribution list for recipients from a user's contacts folder.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(ItemId itemId)

      Sets the item identifier of a contact or private distribution list for recipients from a user's contacts folder.
      Parameters:
        `itemId` - the new item id

    - #### getOriginalDisplayName

          public java.lang.String getOriginalDisplayName()

      Gets the display name of the mailbox user.
      Returns:
        the original display name

    - #### setOriginalDisplayName

          public void setOriginalDisplayName(java.lang.String originalDisplayName)

      Sets the display name of the mailbox user.
      Parameters:
        `originalDisplayName` - the new original display name